#ifndef _KCOMBO_H_
#define _KCOMBO_H_

#include <qstrlist.h>
#include <qcombobox.h>

class KCombo : public QComboBox {
	Q_OBJECT

public:
	KCombo( QWidget* parent = 0, const char* name = 0, WFlags f = 0 );
	KCombo( bool readWrite, QWidget* parent = 0, 
		const char* name = 0, WFlags f = 0 );
	virtual ~KCombo(){};


	/* the following functions are there for compatibility with
	 * the former KCombo. Most of them are dummies now.
	 * Their functionality will soon be available in QComboBox
	 */

	void setLabelFlags( int) {};
	int labelFlags() const {return 0;};
	void cursorAtEnd(){};
	void setText( const char *text );
        void setCompletion( bool){};     
	
 private:
	bool set_text_called;
	
};




// PAL - Oct98: This KComboBox is a Read-only QComboBox, but it also
// supports quick key search.  If you press an ascii key, it will circle
// through all the items in the KComboBox that start with this key
class KComboBox : public QComboBox {
	Q_OBJECT
public:
	KComboBox(QWidget* parent = 0, const char* name = 0);
	~KComboBox();

	void insertItem( const char *text, int index=-1 );
	void insertStrList( const char **, int numStrings=-1, int index=-1);
	void insertStrList( const QStrList *, int index=-1 );
	void changeItem( const char *text, int index );
	void removeItem( int index );
	void clear();
protected:
	void KComboBox::keyPressEvent( QKeyEvent *e );
	// We keep track of all the text items that are inserted, so
        // that we can handle the key shortcuts.
	QStrList *text_list;
private:	
	// Disabled copy constructor and operator=
	KComboBox( const KComboBox & );
	KComboBox &operator=( const KComboBox & );
};

#endif // _KCOMBO_H_
