#ifndef KFMGUI_H
#define KFMGUI_H

#include <qobject.h>
#include <qstring.h>
#include <qlist.h>

class KProcess;

class KfmGui : public QObject
{
		Q_OBJECT
public:

    /**
     * Constructs a new KFM toplevel window.
     */
    KfmGui( QWidget *parent=0, const char *name=0, const char *_url = 0L );
    /**
     * Deletes the window.
     */
    virtual ~KfmGui() {};
    
    virtual void show();

	/*
	* hack to get static classes up and running even with C++-Compilers/
	* Systems where a constructor of a class element declared static
	* would never get called (Aix, Alpha,...). In the next versions these
	* elements should disappear.
	*/
	static void InitStatic();
	
	/**
	 * @eturn the list of all open windows.
	 */
	static QList<KfmGui>& getWindowList() { return (*windowList); }

protected slots:
    void slotProcessExit(KProcess * pProcess);

protected:
    QString m_strName;
    QString m_strURL;
    
    /**
     * List of all open windows.
     */
    static QList<KfmGui> *windowList;
};

#endif

