/**
 * (c) Stephan Kulow
 * (c) Torben Weis
 *
 * Modifications to this program were made by Corel Corporation,
 * November, 1999.  All such modifications are copyright (C) 1999
 * Corel Corporation and are licensed under the terms of the LGPL License.
			 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.

 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.

 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef _KFMPATHS_H_
#define _KFMPATHS_H_

/* This is a little service class for KFM.
   It contains only static members and it
   contains the paths, that KFM needs.  */

#include <qstring.h>

class KFMPaths {

  static QString* desktopPath;
  static QString* templatePath;
  static QString* autostartPath;
  static QString* trashPath;
  static QString* cachePath;

  static void initPaths();
    
 public:

  // all this paths end with a '/'
  static QString DesktopPath();
  static QString TemplatesPath();
  static QString AutostartPath();
  static QString TrashPath();
  static QString CachePath();
};

#endif
