/*
    qstringlist.h

    We hack ourselves a QStringList for compiling KDE 2.0 classes with Qt 1.x.

    This library is a port of the old KDE 2.0 KHTML to Qt 1.44.

    Modifications to this program were made by Corel Corporation, November,
    1999.  All such modifications are copyright (C) 1999 Corel Corporation and
    are licensed under the terms of the LGPL License.
*/

#ifndef FAKE_QSTRINGLIST_H
#define FAKE_QSTRINGLIST_H

#include <qstrlist.h>

class QStringList;

class QStringList : public QStrList {
public:
    class QStringListIterator : public QListIterator<char> {
    public:
        QStringListIterator(const QStringList& sl)
                : QListIterator<char>(sl) { }

        /*
         * That's the way it goes with STL-like iterators, as opposed to
         * QCollection derivatives.
         */
        QString operator *() { return (const char *) *this; }

        /*
         * Some people use 'it++' instead of '++it'. We don't want to force them
         * to change their writing style... Notice that the method returns
         * nothing.
         */
        void operator++(int /* k */) {
            QListIterator<char>::operator++();
        }
        QStringListIterator& operator++() {
            QListIterator<char>::operator++();
            return *this;
        }
    };

    typedef QStringListIterator Iterator;
    typedef QStringListIterator ConstIterator;

    QStringList() { }
    QStringList(const QStringList& sl)
            : QStrList(sl) { }
    QStringList& operator=(const QStringList& sl) {
        QStrList::operator=(sl);
        return *this;
    }

    Iterator begin() const { return Iterator(*this); }
    const char *end() const { return NULL; }
};

#endif // FAKE_QSTRINGLIST_H
