//------------------------------------------------------------------------------
// Name : smbinifile.h 
// 
// Description: Contains helper code for libccsmb
// 
// Copyright (C) 1999 Corel Corporation 
// 
// This program/binary is licensed under the LGPL license. (See 
// http://www.gnu.org/copyleft/lgpl.html) for details. 
//------------------------------------------------------------------------------

#ifndef __INC_INIFILE_H__
#define __INC_INIFILE_H__

#include "smbcommon.h"
#include "qlist.h"

class CKeyEntry
{
public:
	CKeyEntry()
	{
	}

	CKeyEntry(const CKeyEntry& other)
	{
		m_Key = other.m_Key;
		m_Value = other.m_Value;
	}

	QString m_Key;
	QString m_Value;
};

class CSmbSection : public QList<CKeyEntry>
{
public:
	CSmbSection()
	{
		setAutoDelete(TRUE);
		m_bChanged = FALSE;
	}

	CSmbSection(const CSmbSection& other);

	BOOL Write();
	BOOL Empty();

	BOOL IsPublic();
	BOOL IsWritable();
	BOOL IsBrowseable();
	BOOL IsAvailable();
	void SetPublic(BOOL);
	void SetWritable(BOOL);
	void SetBrowseable(BOOL);
	void SetAvailable(BOOL);
	void SetValue(LPCSTR Value, LPCSTR Key, LPCSTR Synonym1 = NULL, LPCSTR Synonym2 = NULL, LPCSTR Antonym = NULL);

	LPCSTR Value(LPCSTR Key, LPCSTR ReplaceKey = NULL);

	QString m_SectionName;
	QString m_FileName;
	BOOL m_bChanged;
};

class CSmbSectionList : public QList<CSmbSection>
{
public:
	CSmbSectionList()
	{
		setAutoDelete(TRUE);
	}
	
	CSmbSectionList(CSmbSectionList& other);
	
	void Copy(CSmbSectionList& other); 
	BOOL Read(LPCSTR FileName);
	LPCSTR FindShare(LPCSTR Path);
	BOOL ShareExists(LPCSTR ShareName);
	LPCSTR Value(LPCSTR Key);
};

extern CSmbSectionList gSambaConfiguration;

#endif /* __INC_INIFILE_H__ */
