//------------------------------------------------------------------------------
// Name : smbobjtypes.h 
// 
// Description: Contains helper code for libccsmb
// 
// Copyright (C) 1999 Corel Corporation 
// 
// This program/binary is licensed under the LGPL license. (See 
// http://www.gnu.org/copyleft/lgpl.html) for details. 
//------------------------------------------------------------------------------
 
#ifndef __OBJTYPES_H__
#define __OBJTYPES_H__


#include <qobject.h>
#include <qarray.h>
#include <qfile.h>

#ifndef CHAR
#define	CHAR	char
#endif

#ifndef	BYTE
#define	BYTE	unsigned char
#endif

#ifndef	INT
#define	INT	int
#endif

#ifndef	UINT
#define	UINT	uint
#endif

#ifndef	BOOL
#define	BOOL	bool
#endif

#ifndef	LPSTR
typedef	CHAR*		LPSTR;
#endif

#ifndef	LPCSTR
typedef	const CHAR*	LPCSTR;
#endif

#ifndef	LPObject
typedef QObject*	LPObject;
#endif

#ifndef	LPCObject
typedef	const QObject*	LPCObject;
#endif


// general error codes
#ifndef	NO_ERROR
#define	NO_ERROR			(0)
#endif

#ifndef	ERR_INDEX_OUT_OF_BOUND
#define	ERR_INDEX_OUT_OF_BOUND		(-1)
#endif

#ifndef	ERR_INVALID_DATA
#define	ERR_INVALID_DATA		(-2)
#endif

#endif			//	__OBJTYPES_H__ 
